Subject: Re: bug#60432: 28.2; Doc of `defalias'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Dec 2022 10:45:48 +0200

> From: Drew Adams <[email-masked]>
> Date: Fri, 30 Dec 2022 17:09:29 +0000
> 
> The doc (doc string and Elisp manual) doesn't make clear that "function"
> in this context applies also to Lisp macros.  Please make that clear.

Which part of the documentation doesn't make that clear?  The
references to "function" seem all to refer to SYMBOL's function cell,
where SYMBOL is the first argument of defalias.  The doc string
says nothing AFAICT about what DEFINITION could be, and your point is
about DEFINITION.  The manual indeed said that DEFINITION could be any
Lisp function, so I added "or macro" there.  However, I wonder whether
function and macro are the only kinds of DEFINITION.  Stefan, what
exactly can the DEFINITION be?